package com.ruoyi.generator.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 功能模块对象 sys_module
 * 
 * @author ruoyi
 * @date 2025-05-09
 */
public class SysModule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模块id */
    private Long moduleId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String moduleName;

    /** 模块别名 */
    @Excel(name = "模块别名")
    private String moduleAlias;

    /** 模块描述 */
    @Excel(name = "模块描述")
    private String moduleDesc;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setModuleId(Long moduleId) 
    {
        this.moduleId = moduleId;
    }

    public Long getModuleId() 
    {
        return moduleId;
    }
    public void setModuleName(String moduleName) 
    {
        this.moduleName = moduleName;
    }

    public String getModuleName() 
    {
        return moduleName;
    }
    public void setModuleAlias(String moduleAlias) 
    {
        this.moduleAlias = moduleAlias;
    }

    public String getModuleAlias() 
    {
        return moduleAlias;
    }
    public void setModuleDesc(String moduleDesc) 
    {
        this.moduleDesc = moduleDesc;
    }

    public String getModuleDesc() 
    {
        return moduleDesc;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("moduleId", getModuleId())
            .append("moduleName", getModuleName())
            .append("moduleAlias", getModuleAlias())
            .append("moduleDesc", getModuleDesc())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
